using WK_KLI_LAPS_Service.App_Data;

namespace WK_KLI_LAPS_Service.Controllers.Dashboard
{
    public interface IAuthorDashboardService
    {
        object getauthordashboarddata(string data);

        object getAuthorDashboardrowcount(string data);
    }
    public class AuthorDashboardService : IAuthorDashboardService
    {
        CommonRepository oCommonRepository = new CommonRepository();
        DashboardRepository oDashboardRepository = new DashboardRepository();
        MasterRepository oMasterRepository = new MasterRepository();
        //code to retrieve list of all records

        public object getauthordashboarddata(string data)
        {
            return oCommonRepository.ExecuteSP_ReturnList("spauthorsdasboardselect", data, "getauthorsdasboardselect");
        }

        public object getAuthorDashboardrowcount(string data)
        {
            return oCommonRepository.ExecuteSP_ReturnList("spauthorsdasboardselect", data, "getauthorsdasboardrowcount");
        }
    }
}
